#include<bits/stdc++.h>
using namespace std;

int main() {
    int x1, x2, y1, y2;
    cin >> x1 >> y1 >> x2>>y2;
    if (y1 == y2 || x1 == x2) {
        cout << "2" << endl;
    } else if (y2 - y1 == x2 - x1) {
        cout << "1" << endl;
    } else cout << "0" << endl;


    return 0;
}